%define		module	xapp
Summary:	Python 3 XApp library
Summary(pl.UTF-8):	Biblioteka XApp dla Pythona 3
Name:		python3-%{module}
Version:	2.4.2
Release:	2
License:	LGPL v2+
Group:		Libraries/Python
#Source0Download: https://github.com/linuxmint/python3-xapp/tags
Source0:	https://github.com/linuxmint/python3-xapp/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	d6a533d8c0efaa487cf80cbd3c585af8
URL:		https://github.com/linuxmint/python3-xapp/
BuildRequires:	meson >= 0.47.0
BuildRequires:	ninja >= 1.5
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.042
Requires:	python3-psutil
Requires:	python3-pygobject3 >= 3.0
Requires:	python3-xapps-overrides >= 1.0
# gir modules
Requires:	xapps-libs >= 1.0
Requires:	gtk+3 >= 3.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python 3 XApp library.

%description -l pl.UTF-8
Biblioteka XApp dla Pythona 3.

%prep
%setup -q

%build
%meson

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%py3_comp $RPM_BUILD_ROOT%{py3_sitescriptdir}
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitescriptdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py3_sitescriptdir}/xapp
%changelog
* Thu Jun 05 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-xapp.git;a=log;h=master

* Thu Jun 05 2025 Jan Rękorajski <baggins@pld-linux.org> ace3931
- fix reqs, rel 2

* Thu Mar 13 2025 Jakub Bogusz <qboosh@pld-linux.org> f784b1e
- updated to 2.4.2

* Sat Jun 17 2023 Jakub Bogusz <qboosh@pld-linux.org> c857baa
- release 2

* Sat Jun 17 2023 Jakub Bogusz <qboosh@pld-linux.org> 72bee65
- noarch

* Sat Jun 17 2023 Jakub Bogusz <qboosh@pld-linux.org> b116e85
- python-xapp.spec updated to 2.4.1 for python3

* Sat Jun 17 2023 Jakub Bogusz <qboosh@pld-linux.org> 1fe12ab
- pl, cleanup, added missing dependencies; release 3

* Mon Mar 28 2022 Jan Rękorajski <baggins@pld-linux.org> e62d579
- Release 2 (by relup.sh)

* Mon Mar 28 2022 Jan Rękorajski <baggins@pld-linux.org> b0ea1ec
- drop python3-distribute deps

* Fri Apr 03 2020 Jan Palus <atler@pld-linux.org> d504205
- up to 1.8.1

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> f2dbc62
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sat Jul 27 2019 Jan Palus <atler@pld-linux.org> bf9dd98
- new (version 1.6.0)

